AquaMapsObject
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class AquaMapsObject

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.AquaMapsObject

    public class AquaMapsObject

extends DataModel

Field Summary
`java.lang.String` | `projectCitation`

Constructor Summary
`AquaMapsObject()`
`AquaMapsObject(AquaMap toLoad)`
`AquaMapsObject(java.lang.String name, int id, ObjectType type)`

Method Summary
`int` | `addSpecies(java.util.Collection<Species> toAdd)`
`static java.lang.String` | `generateMD5(java.util.Set<Species> set, java.lang.String toIncludeParameterList)`
`static java.lang.String` | `generateMD5fromIds(java.util.Set<java.lang.String> set, java.lang.String toIncludeParameterList)`
`java.util.List<File>` | `getAdditionalFiles()`
`AlgorithmType` | `getAlgorithmType()`
`java.lang.String` | `getAuthor()`
`BoundingBox` | `getBoundingBox()`
`java.lang.String` | `getCompressedSpeciesCoverage()`
`java.lang.Long` | `getDate()`
`java.lang.Boolean` | `getGis()`
`int` | `getId()`
`java.util.List<File>` | `getImages()`
`java.util.ArrayList<LayerInfo>` | `getLayers()`
`java.lang.String` | `getName()`
`java.util.Set<Species>` | `getSelectedSpecies()`
`SubmittedStatus` | `getStatus()`
`float` | `getThreshold()`
`ObjectType` | `getType()`
`static java.util.List<AquaMapsObject>` | `load(org.gcube.application.aquamaps.datamodel.AquaMapArray toLoad)`
`int` | `removeSpecies(java.util.Collection<Species> toAdd)`
`void` | `setAdditionalFiles(java.util.List<File> additionalFiles)`
`void` | `setAlgorithmType(AlgorithmType algorithmType)`
`void` | `setAuthor(java.lang.String author)`
`void` | `setBoundingBox(BoundingBox boundingBox)`
`void` | `setDate(java.lang.Long date)`
`void` | `setGis(java.lang.Boolean gis)`
`void` | `setId(int id)`
`void` | `setImages(java.util.List<File> images)`
`void` | `setLayers(java.util.ArrayList<LayerInfo> layers)`
`void` | `setName(java.lang.String name)`
`void` | `setSelectedSpecies(java.util.Set<Species> selectedSpecies)`
`void` | `setStatus(SubmittedStatus status)`
`void` | `setThreshold(float threshold)`
`void` | `setType(ObjectType type)`
`org.gcube.application.aquamaps.datamodel.AquaMap` | `toStubsVersion()`
`static org.gcube.application.aquamaps.datamodel.AquaMapArray` | `toStubsVersion(java.util.List<AquaMapsObject> toConvert)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projectCitation

    public java.lang.String projectCitation

Constructor Detail

### AquaMapsObject

    public AquaMapsObject(AquaMap toLoad)

### AquaMapsObject

    public AquaMapsObject(java.lang.String name,
                          int id,
                          ObjectType type)

### AquaMapsObject

    public AquaMapsObject()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getDate

    public java.lang.Long getDate()

### setDate

    public void setDate(java.lang.Long date)

### getId

    public int getId()

### setId

    public void setId(int id)

### getType

    public ObjectType getType()

### setType

    public void setType(ObjectType type)

### getSelectedSpecies

    public java.util.Set<Species> getSelectedSpecies()

### setSelectedSpecies

    public void setSelectedSpecies(java.util.Set<Species> selectedSpecies)

### getThreshold

    public float getThreshold()

### setThreshold

    public void setThreshold(float threshold)

### addSpecies

    public int addSpecies(java.util.Collection<Species> toAdd)

### removeSpecies

    public int removeSpecies(java.util.Collection<Species> toAdd)

### setStatus

    public void setStatus(SubmittedStatus status)

### getStatus

    public SubmittedStatus getStatus()

### setBoundingBox

    public void setBoundingBox(BoundingBox boundingBox)

### getBoundingBox

    public BoundingBox getBoundingBox()

### setGis

    public void setGis(java.lang.Boolean gis)

### getGis

    public java.lang.Boolean getGis()

### getLayers

    public java.util.ArrayList<LayerInfo> getLayers()

### setLayers

    public void setLayers(java.util.ArrayList<LayerInfo> layers)

### getAdditionalFiles

    public java.util.List<File> getAdditionalFiles()

### setAdditionalFiles

    public void setAdditionalFiles(java.util.List<File> additionalFiles)

### getImages

    public java.util.List<File> getImages()

### setImages

    public void setImages(java.util.List<File> images)

### load

    public static java.util.List<AquaMapsObject> load(org.gcube.application.aquamaps.datamodel.AquaMapArray toLoad)

### toStubsVersion

    public static org.gcube.application.aquamaps.datamodel.AquaMapArray toStubsVersion(java.util.List<AquaMapsObject> toConvert)

### toStubsVersion

    public org.gcube.application.aquamaps.datamodel.AquaMap toStubsVersion()

### setAlgorithmType

    public void setAlgorithmType(AlgorithmType algorithmType)

### getAlgorithmType

    public AlgorithmType getAlgorithmType()

### getCompressedSpeciesCoverage

    public java.lang.String getCompressedSpeciesCoverage()

### generateMD5

    public static java.lang.String generateMD5(java.util.Set<Species> set,
                                               java.lang.String toIncludeParameterList)

### generateMD5fromIds

    public static java.lang.String generateMD5fromIds(java.util.Set<java.lang.String> set,
                                                      java.lang.String toIncludeParameterList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD